Summary:  GNOME library for CUPS integration
Name:     libgnomecups
Version:  0.2.0
Release:  2 
License:  LGPL
Group:    Development/Libraries
URL:      http://www.gnome.org
Requires: cups cups-libs
Requires: dbus
BuildRequires: cups-devel
BuildRequires: dbus-devel
BuildRequires: glib2-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %{name}-%{version}.tar.bz2
Patch2: libgnomecups-no-gnome-common.patch
Patch3: libgnomecups-dbus.patch
Patch5: libgnomecups-0.1.14-go-direct.patch

%description
GNOME library for CUPS integration

%package devel
Summary: GNOME library for CUPS integration
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}-%{release}
Requires: cups-devel glib2-devel

%description devel
GNOME library for CUPS integration

%prep
%setup -q
%patch2 -p1 -b .no-gnome-common
%patch3 -p1 -b .dbus
%patch5 -p1 -b .go-direct

%build

autoreconf -f -i
%configure --with-dbus=yes
make

%install
rm -rf %{buildroot}

%makeinstall
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog NEWS AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed Apr 13 2005 David Zeuthen <davidz@redhat.com> - 0.2.0-2
- Fix Requires for -devel package (#152500)

* Fri Mar 18 2005 David Zeuthen <davidz@redhat.com> - 0.2.0-1
- New upstream version; drop patches that are upstreamed

* Fri Mar  4 2005 John (J5) Palmieri <johnp@redhat.com> 0.1.14-3
- edit dbus patch - don't free const variable

* Wed Mar  2 2005 Jindrich Novy <jnovy@redhat.com> 0.1.14-2
- rebuilt

* Wed Jan 26 2005 Matthias Clasen <mclasen@redhat.com> 0.1.14-1
- Update to 0.1.14

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.1.13-1
- New upstream version

* Wed Oct 13 2004 Colin Walters <walters@redhat.com> 0.1.12-5
- Add patch which tries to avoid blocking the main loop in
  certain cases

* Thu Sep 30 2004 Colin Walters <walters@redhat.com> 0.1.12-4
- Change group to Development/Libraries (131688)

* Thu Sep 30 2004 Colin Walters <walters@redhat.com> 0.1.12-3
- Pass --with-dbus=yes to configure to be extra sure
- Add libgnomecups-no-gnome-common.patch
- autoreconf to pick up configure changes

* Thu Sep 30 2004 Colin Walters <walters@redhat.com> 0.1.12-2
- Pass --with-dbus to configure
- BuildRequire dbus-devel

* Thu Sep 13 2004 Colin Walters <walters@redhat.com> 0.1.12-1
- New upstream release
- Remove upstreamed thread-init patch  
- Remove upstreamed async-printers patch  
- Actually apply DBus patch

* Thu Sep 09 2004 Colin Walters <walters@redhat.com> 0.1.11-5
- Use DBus to get notifications of new printers.

* Fri Sep 03 2004 Matthias Clasen <mclasen@redhat.com> 0.1.11-4
- Make updating the printer list async.

* Tue Aug 31 2004 Matthias Clasen <mclasen@redhat.com> 0.1.11-3
- Fix some issues with the async ppd patch

* Fri Aug 27 2004 Matthias Clasen <mclasen@redhat.com> 0.1.11-2
- Update async ppd patch and apply it

* Tue Aug 24 2004 Colin Walters <walters@redhat.com> 0.1.11-1
- New upstream version
- Remove upstreamed patch libgnomecups-path-escape.patch
- Add thread init patch
- Do not actually apply ppd async patch yet

* Wed Aug 18 2004 Colin Walters <walters@redhat.com> 0.1.10-1
- Update to 0.1.10
- Remove upstreamed patch libgnomecups-0.1.9-error.patch
- Remove upstreamed patch libgnomecups-0.1.9-get-attributes-from-host.patch
- Remove upstreamed patch libgnomecups-0.1.9-notify-remove.patch
- Remove upstreamed patch libgnomecups-0.1.9-attributes.patch

* Sat Aug 14 2004 Colin Walters <walters@redhat.com> 0.1.9-3
- Add patch to not poll individual printer jobs
- Add patch to fix printer attribute retrieval (API change)

* Fri Jul 30 2004 Colin Walters <walters@redhat.com> 0.1.9-2
- Add patch to get attributes from correct host
- Add patch to fix error freeing
- Purge all sorts of useless comments from this file

* Wed Jul 28 2004 Colin Walters <walters@redhat.com> 0.1.9-1
- Update to 0.1.9
- Remove includes patch

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.1.8.cvs20040621-2
- Apply little patch to fix inclues

* Mon Jun 21 2004 Colin Walters <walters@redhat.com> 0.1.8.cvs20040621-1
- Update to latest CVS, which includes shiny new async patches
- Remove libgnomecups-host.patch, incorporated upstream

* Fri Jun 18 2004 Matthias Clasen <mclasen@redhat.com> 0.1.8.cvs20040618-1
- Update to latest CVS
- Remove some patches

* Wed Jun 15 2004 Colin Walters <walters@redhat.com> 0.1.8.cvs20040615-1
- Update to latest CVS
- Apply Matthias's patches

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com> 0.1.6.cvs20040602-2
- rebuilt

* Wed Jun 02 2004 Colin Walters <walters@redhat.com> 0.1.6.cvs20040602-1
- Update to latest CVS
- Include Matthias' and my patch that makes remote queues
  work, etc.

* Wed Apr 28 2004 Dan Williams <dcbw@redhat.com> 0.1.6-7
- Add "cups-devel" to the libgnomecups-devel package Requires

* Thu Mar  4 2004 Bill Nottingham <notting@redhat.com> 0.1.6-6
- remove comment to avoid postun warning

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 05 2004 Dan Williams <dcbw@redhat.com> 0.1.6-4
- Augment NVR to differentiate Fedora Core/RHEL

* Thu Jan 22 2004 Dan Williams <dcbw@redhat.com> 0.1.6-3
- Bump for rebuild into Fedora Core 2

* Wed Dec 03 2003 Dan Williams <dcbw@redhat.com>
- Initial Red Hat RPM release.

* Sat Nov 01 2003 RunNHide <runnhide@runnhide.cjb.net>
- Initial RPM release for Fedora and Rawhide.
